export type TIconMaker = {
    iconUrl: string;
    iconSize: [number, number];
    iconAnchor: [number, number];
    class?: string;
    type: "image" | "svg";
};
export interface IConfigurationMap {
    height: string;
    maxZoom: number;
    iconMarker: TIconMaker;
    dragMarker: boolean;
}
export interface ICoords {
    lat: number;
    lng: number;
    zoom: number;
}
export interface IMapSearchAddressProps {
    configurationMap?: IConfigurationMap;
    coordinatesMap?: ICoords;
}
declare const _sfc_main: import("vue").DefineComponent<{
    configurationMap: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            height: string;
            maxZoom: number;
            iconMarker: {
                iconUrl: string;
                iconSize: number[];
                iconAnchor: number[];
                class: string;
                type: string;
            };
            dragMarker: boolean;
        };
    };
    coordinatesMap: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            lat: number;
            lng: number;
            zoom: number;
        };
    };
}, {
    props: any;
    emit: (event: "updated:coordsMarker", ...args: any[]) => void;
    idMap: import("vue").Ref<any>;
    coords: any;
    mapRender: import("vue").Ref<any>;
    markerRender: import("vue").Ref<any>;
    makeid: (length: number) => Promise<void>;
    renderMap: () => Promise<void>;
    createMap: () => Promise<void>;
    searchAddress: (query: string) => Promise<any>;
    setCoordinates: ({ lat, lng, moveMarker, }: {
        lat: number;
        lng: number;
        moveMarker?: boolean | undefined;
    }) => void;
    moveCenterTo: ({ lat, lng }: {
        lat: number;
        lng: number;
    }) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "updated:coordsMarker"[], "updated:coordsMarker", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    configurationMap: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            height: string;
            maxZoom: number;
            iconMarker: {
                iconUrl: string;
                iconSize: number[];
                iconAnchor: number[];
                class: string;
                type: string;
            };
            dragMarker: boolean;
        };
    };
    coordinatesMap: {
        type: ObjectConstructor;
        required: false;
        default: () => {
            lat: number;
            lng: number;
            zoom: number;
        };
    };
}>> & {
    "onUpdated:coordsMarker"?: ((...args: any[]) => any) | undefined;
}, {
    coordinatesMap: Record<string, any>;
    configurationMap: Record<string, any>;
}, {}>;
export default _sfc_main;
